타운광장토픽게시판

사람의 계획은 믿으면 안 된다는 띵언을 남기신 분이 있습니다만...

그렇다고 무계획적으로 살 수는 없잖아요? 그래서 현재의 계획을 간단하게 공유합니다.

이 일정대로 된다는 보장은 없으나 대략의 순서는 예상하실 수 있을 것입니다.

 

우선, 6월 안에 2.0.12 보안패치+기능업데이트 및 1.9.12 보안패치가 있을 예정입니다.

보안패치는 XE1에도 마찬가지로 적용되어야 하는데,

마지막으로 업데이트한 지 2년이 다 되어 가는 XE1이 과연 새 버전을 릴리즈해줄지 모르겠습니다.

이미 몇 주 전 XE팀에 취약점 정보를 전달해 드렸으나 제대로 된 답변을 듣지 못해서

그냥 라이믹스부터 패치할 예정입니다. XE1 사용자는 라이믹스 1.9에 적용될 패치를 따라하시면 됩니다.
 


 

여름이 끝나기 전에 라이믹스 2.1을 내놓는 것이 그 다음 목표입니다.

소셜로그인 등 몇 가지 기능이 추가될 예정이고, 라이믹스 2.0처럼 내부 구조가 과격하게 바뀌지는 않지만

사용자 입장에서는 신경쓸 필요가 있는 몇 가지 변화가 있어서 미리 알려드립니다.

참고: https://github.com/rhymix/rhymix/issues/1562

 

  • 라이믹스 2.1부터 최소 지원 버전이 PHP 7.0에서 PHP 7.2로 변경됩니다.
    권장 버전은 PHP 7.4입니다. 최소 버전에 턱걸이한다면 일부 기능이 제한될 수 있습니다.
    카페24 웹호스팅이라면 PHP 7.3도 나름 쓸만합니다.
  • 관리자 화면 한정으로, 당장은 아니지만 2.1.x 버전대 어딘가에서 IE11 지원이 중단될 가능성이 높습니다.
    단순 방문자에게 업데이트를 강요할 수는 없지만, 운영자라면 최신 브라우저를 사용해야지요.
    (일반 화면의 브라우저 지원 범위는 레이아웃과 스킨에 따라 다르며, 코어에서 강제하지 않습니다.)
  • 스킨에서 IE 버전에 따라 CSS, JS를 다르게 로딩하는 데 사용하는 targetie 속성도 지원이 중단됩니다.
    이 속성을 필요로 하는 구 버전 IE를 더이상 지원하지 않기 때문입니다.
    최근 몇 년 사이에 나온 레이아웃이나 스킨이라면 이 기능을 전혀 사용하지 않을 것입니다.
    예: <load target="polyfill.js" targetie="lt IE 9" />

 


 

1.9 버전대의 보안패치는 2.0 릴리즈 후 1년이 되는 올해 말까지만 지원하는 것으로 계획하고 있습니다.

2.0 버전대의 보안패치는 2.1 릴리즈 후 최대 6개월 정도 예상하시면 됩니다.

사실상 두 버전 모두 동시에 지원이 종료되고, 내년부터는 2.1 이상 버전만 남게 되는 셈입니다.

업데이트가 쉽지 않은 큰 변화가 있었던 경우, 구 버전 사용자를 조금 더 오래 챙겨드린다는 원칙입니다.

 

글쓴이 기진곰

profile
GitHub 아이디는 @kijin입니다. 사람을 위한 인터넷 생태계의 발전과 웹 보안에 많은 관심을 가지고 있습니다.
우리가 만들어 가는 XE의 새 이름, 라이믹스(Rhymix) 프로젝트에 참여하고 있습니다.
오픈소스 도로명주소 검색서버 및 API Postcodify를 개발, 운영하고 있습니다.
국내외 서버 및 클라우드서버 세팅, 이전, 튜닝해 드립니다.